# Материалы курса "Технологии программирования" 2021

В данном репозитории находится учебное пособие и примеры выполнения лабораторных работ. 

Другие материалы расположены на сайте http://virtual6.ssau.ru/Moodle/course/view.php?id=969.


## Требования к оформлению репозито́риев

### Общие

В репозитории должен находится файл `README.md` с:
- номером лабораторной работы, 
- номером варианта, 
- описанием задания,
- и описанием алгоритма, который реализован в библиотеке.
 
При оформлении `README.md` используйте Markdown синтаксис для выделения заголовков, разделения текста на параграфы, оформления списков и кода:
- https://bitbucket.org/tutorials/markdowndemo/src/master/ 
- https://docs.gitlab.com/ee/user/markdown.html
- https://guides.github.com/features/mastering-markdown/ 

Для исключения временных файлов и директорий из репозитория следует использовать файл `.gitignore`. Подходящий для вашего проекта `.gitignore` вы можете найти здесь https://github.com/github/gitignore.


### Лабораторная №1

Результатом выполнения должно быть два проекта – проект библиотеки и проект, использующий библиотеку. Проекты могут находиться в общем или отдельных репозиториях.

